package pmicrovenus;
public class Servicio extends Casilla {
    
    protected int precioCompra;
    private int renta;
    
    public Servicio() {
    }

    public Servicio(int id, String des, int px, int py) {
        super(id,des,px,py); 
    }
    
      public Servicio(int id, String des, int px, int py, int precioCompra,int renta) {
        super(id,des,px,py); 
        this.setPrecioCompra(precioCompra);
        this.setRenta(renta);
    }
    
      public int getPrecioCompra() {
        return precioCompra;
    }

    public void setPrecioCompra(int val) {
        this.precioCompra = val;
    }

    public int getRenta() {
        return renta;  //nº dados * 4 si 1 servicio || nº dados * 10 si >1 servicio
    }

    public void setRenta(int val) {
        this.renta = val;
    }

    
    public void accion(Jugador j) {
        System.out.println("Has caido en la casilla numero " + super.getNum() + ", " + super.getDescripcion());
        if (super.isDisponible()==true){
           System.out.println("¿Comprar servicio " + super.getDescripcion() + " por " + getPrecioCompra() + " €?"); 
           j.comprar();
        }else{
            if (j.tieneServicio(getDescripcion())){//si pertenece al jugador
                 
            }else{
                j.pagarRentaA(getPropietario(),getRenta());
            }
        }
    }
}
